Bug 235598 - vncserver not running at startup
vncserver not running at startup
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: vnc (Show other bugs)
rawhide
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-07 14:09 EDT by Richard Steck
Modified: 2013-04-30 19:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-08 10:49:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Steck 2007-04-07 14:09:16 EDT
Description of problem:
vncserver not running at startup

Version-Release number of selected component (if applicable):
FC7 Test 3

How reproducible:
Please see steps below.

Steps to Reproduce:
1.In Services, checkmark and start vncserver.  Save. 
2. Restart computer.  Look at vncserver in Services.  It is not running.
3. vncserver can be started manually from Terminal with: service vncserver start
  
Actual results:
vncserver not running if started with  System > Administration > Services

Expected results:
Once checkmarked,  vncserver should always run at startup.

Additional info:
Comment 1 Richard Steck 2007-04-08 10:49:24 EDT
In order to make vncserver work, it was necessary to do some setup steps as per 
Tom Chung's  VNC 101 Tutorial.

Not sure of how Fedora can do this, but some warning might be given that 
vncserver does not work "straight out of the box" by putting a checkmark in 
front of it in Services.   Additional setup needs to be done.
Comment 2 Adam Tkac 2007-04-10 04:39:41 EDT
(In reply to comment #1)
Could you tell me what exactly you have to do, please? I will improve this bit
in future release (starts without any additional setup)

Regards, -A-
Comment 3 Richard Steck 2007-04-10 09:36:19 EDT
Adam, I'm not sure you can improve this, but here is what I did.

When you install a new system, typically you go to Admin > Services and check 
the services you want running.  For example,  ssh,  http,  sendmail, etc. These 
start when you press their Start button.   But vncserver does not start in that 
way.  It does not start until you do a few more steps.  These are best 
described in the following tutorial:  http://fedoranews.org/tchung/vnc/  

The key additions to make vncserver run are the addition of
  VNCSERVERS="1:username"    to the file  /etc/sysconfig/vncservers
  The uncommenting of   
unset SESSION_MANAGER
exec  /etc/X11/xinit/xinitrc
 in xstartup

I don't see how all of this can be done by waving a magic wand.  But if you 
have a way, that would be good.

Thank you for your interest in my problem.   I believe I am OK for now.
FC7t3 is an amazing OS.

And then   service vncserver start


Note You need to log in before you can comment on or make changes to this bug.